Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.management.jca.system.mbeans
Class STCMCFMonitor

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          com.stc.connector.management.jca.system.mbeans.BaseMonitorMBean
              com.stc.connector.management.jca.system.mbeans.STCMCFMonitor

All Implemented Interfaces:
  javax.management.DynamicMBean, java.util.EventListener, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, javax.management.NotificationListener, STCMCFMonitorBean

public class STCMCFMonitor
extends BaseMonitorMBean
implements STCMCFMonitorBean, javax.management.MBeanRegistration, javax.management.NotificationListener

Field Summary

Fields inherited from class com.stc.connector.management.jca.system.mbeans.BaseMonitorMBean
`mAttributesInfo, mConstructorsInfo, mMBeanInfo, mNotificationsInfo, mOperationsInfo`

Constructor Summary
`STCMCFMonitor()`

Method Summary
`void` | `addManagedConnectionMBean(java.lang.Object newbean, java.lang.String key)`
`protected void` | `buildDynamicMBeanInfo()` Build the protected MBeanInfo field, which represents the management interface exposed by the MBean; i.e., the set of attributes, constructors, operations and notifications which are available for management.
`void` | `disable()`
`void` | `enable()`
`java.lang.Object` | `findManagedConnectionMBean(java.lang.String key)`
`java.lang.Object` | `getAttribute(java.lang.String aName)`
`javax.management.AttributeList` | `getAttributes(java.lang.String[] aNames)` Retrieves the value of specified attributes of the Dynamic MBean
`java.lang.String` | `getMCFDescription()` Getter for this activation spec's description
`java.lang.String` | `getMCFName()` Getter for this activation spec's name
`java.lang.String` | `getName()`
`void` | `handleNotification(javax.management.Notification aNotification, java.lang.Object obj)`
`java.lang.Object` | `invoke(java.lang.String operationName, java.lang.Object[] params, java.lang.String[] signature)` Invokes an operation on the Dynamic MBean.
`java.lang.Boolean` | `isEnabled()`
`void` | `postRegister(java.lang.Boolean registrationDone)` `MBeanRegistration` implementation method
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer aServer, javax.management.ObjectName aName)` `MBeanRegistration` implementation method
`void` | `sendAlert()`
`void` | `sendAlert(com.stc.eventmanagement.Event event)`
`void` | `sendAlert(java.lang.String alertMsg, int severity)`
`void` | `sendAlert(java.lang.String alertMsgCode, java.lang.String[] alertMsgCodeArgs, java.lang.String alertMsg, int severity)`
`void` | `sendAlert(java.lang.String projectName, java.lang.String collabName, java.lang.String componentName, java.lang.String alertMsgCode, java.lang.String[] alertMsgCodeArgs, java.lang.String alertMsg, int severity)`
`void` | `setMCFDescription(java.lang.String mcfdescription)` Setter for this activation spec's description
`void` | `setMCFName(java.lang.String mcfname)` Setter for this activation spec's name
`void` | `setName(java.lang.String name)`

Methods inherited from class com.stc.connector.management.jca.system.mbeans.BaseMonitorMBean
`addNotificationListener, buildDefaultDynamicMBeanInfo, getMBeanInfo, postDeregister, preDeregister, removeNotificationListener, sendNotification, setAttribute, setAttributes`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`getNotificationInfo, handleNotification, removeNotificationListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, preDeregister`

Constructor Detail

### STCMCFMonitor

    public STCMCFMonitor()

Method Detail

### buildDynamicMBeanInfo

    protected void buildDynamicMBeanInfo()

  Build the protected MBeanInfo field, which represents the management interface exposed by the MBean; i.e., the set of attributes, constructors, operations and notifications which are available for management. A reference to the MBeanInfo object is returned by the getMBeanInfo() method of the DynamicMBean interface. Note that, once constructed, an MBeanInfo object is immutable.

  Overrides:
    `buildDynamicMBeanInfo` in class `BaseMonitorMBean`

### invoke

    public java.lang.Object invoke(java.lang.String operationName,
                                   java.lang.Object[] params,
                                   java.lang.String[] signature)
                            throws javax.management.MBeanException,
                                   javax.management.ReflectionException

  Description copied from class: `BaseMonitorMBean`
  Invokes an operation on the Dynamic MBean.

  Specified by:
    `invoke` in interface `javax.management.DynamicMBean`
  Overrides:
    `invoke` in class `BaseMonitorMBean`
  Parameters:
    `operationName` - The name of the action to be invoked
    `params` - An array containing the parameters to be set when the action is invoked
    `signature` - An array containing the aSignature of the action. The class objects will be loaded through the same class loader as the one used for loading the MBean on which the action is invoked.
  Returns:
    The object returned by the action, which represents the result of invoking the action on the MBean specified
  Throws:
    `javax.management.ReflectionException` - ReflectionException
    `javax.management.MBeanException` - MBeanException

### getAttributes

    public javax.management.AttributeList getAttributes(java.lang.String[] aNames)

  Description copied from class: `BaseMonitorMBean`
  Retrieves the value of specified attributes of the Dynamic MBean

  Specified by:
    `getAttributes` in interface `javax.management.DynamicMBean`
  Overrides:
    `getAttributes` in class `BaseMonitorMBean`
  Parameters:
    `aNames` - aNames of the attributes
  Returns:
    AttributeList list of attribute aNames and values

### getAttribute

    public java.lang.Object getAttribute(java.lang.String aName)
                                  throws javax.management.AttributeNotFoundException,
                                         javax.management.MBeanException,
                                         javax.management.ReflectionException

  Specified by:
    `getAttribute` in interface `javax.management.DynamicMBean`
  Overrides:
    `getAttribute` in class `BaseMonitorMBean`
  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### handleNotification

    public void handleNotification(javax.management.Notification aNotification,
                                   java.lang.Object obj)

  Specified by:
    `handleNotification` in interface `javax.management.NotificationListener`

### sendAlert

    public void sendAlert(java.lang.String projectName,
                          java.lang.String collabName,
                          java.lang.String componentName,
                          java.lang.String alertMsgCode,
                          java.lang.String[] alertMsgCodeArgs,
                          java.lang.String alertMsg,
                          int severity)

### sendAlert

    public void sendAlert(java.lang.String alertMsgCode,
                          java.lang.String[] alertMsgCodeArgs,
                          java.lang.String alertMsg,
                          int severity)

  Specified by:
    `sendAlert` in interface `STCMCFMonitorBean`

### sendAlert

    public void sendAlert(java.lang.String alertMsg,
                          int severity)

  Specified by:
    `sendAlert` in interface `STCMCFMonitorBean`

### sendAlert

    public void sendAlert()

  Specified by:
    `sendAlert` in interface `STCMCFMonitorBean`

### sendAlert

    public void sendAlert(com.stc.eventmanagement.Event event)

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer aServer,
                                                   javax.management.ObjectName aName)

  `MBeanRegistration` implementation method

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`
  Overrides:
    `preRegister` in class `BaseMonitorMBean`
  Parameters:
    `aServer` - `MBeanServer`
    `aName` - MBean's `ObjectName`
  Returns:
    MBean's `ObjectName`
  Throws:
    `java.lang.Exception` - This exception should be caught by the MBean server and re-thrown as an `MBeanRegistrationException`

### postRegister

    public void postRegister(java.lang.Boolean registrationDone)

  `MBeanRegistration` implementation method

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`
  Overrides:
    `postRegister` in class `BaseMonitorMBean`
  Parameters:
    `registrationDone` - Indicates whether or not the MBean has been successfully registered in the MBean server. The value false means that the registration phase has failed

### findManagedConnectionMBean

    public java.lang.Object findManagedConnectionMBean(java.lang.String key)

  Specified by:
    `findManagedConnectionMBean` in interface `STCMCFMonitorBean`

### enable

    public void enable()

  Specified by:
    `enable` in interface `STCMCFMonitorBean`

### disable

    public void disable()

  Specified by:
    `disable` in interface `STCMCFMonitorBean`

### isEnabled

    public java.lang.Boolean isEnabled()

  Specified by:
    `isEnabled` in interface `STCMCFMonitorBean`

### addManagedConnectionMBean

    public void addManagedConnectionMBean(java.lang.Object newbean,
                                          java.lang.String key)

  Specified by:
    `addManagedConnectionMBean` in interface `STCMCFMonitorBean`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `STCMCFMonitorBean`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `STCMCFMonitorBean`

### setMCFName

    public void setMCFName(java.lang.String mcfname)

  Setter for this activation spec's name

  Specified by:
    `setMCFName` in interface `STCMCFMonitorBean`

### getMCFName

    public java.lang.String getMCFName()

  Getter for this activation spec's name

  Specified by:
    `getMCFName` in interface `STCMCFMonitorBean`
  Returns:
    activation spec name

### setMCFDescription

    public void setMCFDescription(java.lang.String mcfdescription)

  Setter for this activation spec's description

  Specified by:
    `setMCFDescription` in interface `STCMCFMonitorBean`

### getMCFDescription

    public java.lang.String getMCFDescription()

  Getter for this activation spec's description

  Specified by:
    `getMCFDescription` in interface `STCMCFMonitorBean`
  Returns:
    activation spec description

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD